
package com.tmerclub.cloud.product.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.tmerclub.cloud.common.product.vo.CategoryLangVO;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author TRACK
 */
public class CategoryExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "分类信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;

    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty({"分类信息", "分类中文名称"})
    private String nameZh;

    @ExcelProperty({"分类信息", "分类层级"})
    private String grade;

    @ExcelProperty({"分类信息", "父级分类"})
    private String parentName;

    @ExcelProperty({"分类信息", "分类状态"})
    private String categoryStatus;

    @ExcelProperty({"分类信息", "排序"})
    private Integer seq;

    @ExcelIgnore
    private Long categoryId;

    @ExcelIgnore
    private Long parentId;

    @ExcelIgnore
    private List<CategoryLangVO> categoryLangList;

    @ExcelIgnore
    private Integer level;

    @ExcelIgnore
    private Integer status;

    public String getNameZh() {
        return nameZh;
    }

    public void setNameZh(String nameZh) {
        this.nameZh = nameZh;
    }


    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getCategoryStatus() {
        return categoryStatus;
    }

    public void setCategoryStatus(String categoryStatus) {
        this.categoryStatus = categoryStatus;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public List<CategoryLangVO> getCategoryLangList() {
        return categoryLangList;
    }

    public void setCategoryLangList(List<CategoryLangVO> categoryLangList) {
        this.categoryLangList = categoryLangList;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "CategoryExcelVO{" +
                "nameZh='" + nameZh + '\'' +
                ", grade='" + grade + '\'' +
                ", parentName='" + parentName + '\'' +
                ", categoryStatus='" + categoryStatus + '\'' +
                ", seq=" + seq +
                ", categoryId=" + categoryId +
                ", parentId=" + parentId +
                ", categoryLangList=" + categoryLangList +
                ", level=" + level +
                ", status=" + status +
                '}';
    }
}
